/**
 * navigation.js
 *
 * Handles toggling the navigation menu for small screens.
 */
( function() {
	var container, button, menu, body;

	container = document.getElementById( 'site-navigation' );
	if ( ! container ) {
		return;
	}

	button = container.getElementsByTagName( 'button' )[0];
	if ( 'undefined' === typeof button ) {
		return;
	}

	menu = container.getElementsByTagName( 'ul' )[0];
	
	body = document.body;

	// Hide menu toggle button if menu is empty and return early.
	if ( 'undefined' === typeof menu ) {
		button.style.display = 'none';
		return;
	}

	menu.setAttribute( 'aria-expanded', 'false' );

	if ( -1 === menu.className.indexOf( 'nav-menu' ) ) {
		menu.className += ' nav-menu';
	}
	
	if ( -1 === body.className.indexOf( 'mobile-menu' ) && 851 > body.clientWidth ) {
		body.className += ' mobile-menu';
	}
	else if ( -1 !== body.className.indexOf( 'mobile-menu' ) && 850 < body.clientWidth ) {
		body.className = body.className.replace( ' mobile-menu', '' );
	}
	
	window.onresize = function() {

		if ( -1 === body.className.indexOf( 'mobile-menu' ) && 851 > body.clientWidth ) {
			body.className += ' mobile-menu';
		}
		else if ( -1 !== body.className.indexOf( 'mobile-menu' ) && 850 < body.clientWidth ) {
			body.className = body.className.replace( ' mobile-menu', '' );
		}
	};

	button.onclick = function() {
		if ( -1 !== container.className.indexOf( 'toggled' ) ) {
			container.className = container.className.replace( ' toggled', '' );
			button.setAttribute( 'aria-expanded', 'false' );
			menu.setAttribute( 'aria-expanded', 'false' );
		} else {
			container.className += ' toggled';
			button.setAttribute( 'aria-expanded', 'true' );
			menu.setAttribute( 'aria-expanded', 'true' );
		}
	};
} )();
